angular.module('starter', ['ionic', 'starter.controllers'])

.config(function($ionicConfigProvider) {
  //$ionicConfigProvider.tabs.position('bottom');
  //$ionicConfigProvider.tabs.style('standard');
})

.run(function($ionicPlatform) {
    $ionicPlatform.ready(function() {
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        }
        if (window.StatusBar) {
            StatusBar.styleDefault();
        }
        if (window.admob) {
           admob.initAdmob("ca-app-pub-6406657581302032/1635253101", "");
           admob.showBanner(admob.BannerSize.BANNER,admob.Position.BOTTOM_APP);
        }
    });
})

.config(function($stateProvider, $urlRouterProvider) {

    $stateProvider

        .state('tab', {
            url: "/tab",
            abstract: true,
            templateUrl: "templates/tabs.html",
            controller: 'EventCtrl'
        })
        .state('tab.until', {
            url: '/until',
            views: {
                'tab-until': {
                    templateUrl: 'templates/tab-until.html',
                    controller: 'UntilCtrl'
                }
            }
        })
        .state('tab.until-event', {
            url: '/until/:eventId',
            views: {
                'tab-until': {
                    templateUrl: 'templates/tab-until-event.html',
                    controller: 'UntilEventCtrl'
                }
            }
        })
        .state('tab.since', {
            url: '/since',
            views: {
                'tab-since': {
                    templateUrl: 'templates/tab-since.html',
                    controller: 'SinceCtrl'
                }
            }
        })
        .state('tab.since-event', {
            url: '/since/:eventId',
            views: {
                'tab-since': {
                    templateUrl: 'templates/tab-since-event.html',
                    controller: 'SinceEventCtrl'
                }
            }
        })
        .state('tab.tags', {
            url: '/tags',
            views: {
                'tab-tags': {
                    templateUrl: 'templates/tab-tags.html',
                    controller: 'TagsCtrl'
                }
            }
        })
        .state('tab.tag-event', {
            url: '/tags/:eventId',
            views: {
                'tab-tags': {
                    templateUrl: 'templates/tab-tag-event.html',
                    controller: 'TagEventCtrl'
                }
            }
        })
        .state('tab.tag', {
            url: '/tag/:tagName',
            views: {
                'tab-tags': {
                    templateUrl: 'templates/tab-tag.html',
                    controller: 'TagCtrl'
                }
            }
        });

    $urlRouterProvider.otherwise('/tab/until');

});
